� portal « kubernetes - oom - Introduces the ONAP Platform OOM (ONAP Operations Manager) to efficiently Deploy, Manage, Operate the ONAP platform and its components (e.g. MSO, DCAE, SDC, etc.) and infrastructure (VMs, Containers).</title>
<meta name='generator' content='cgit 1.2.3-korg'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-data/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.onap.org/oom/atom/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.onap.org/oom' title='oom Git repository'/>
</head>
<body>
<div id="lfcollabprojects-header">
  <div class="gray-diagonal">
    <div class="header-inner">
      <a
        id="lfcollabprojects-logo"
        href="http://collabprojects.linuxfoundation.org"
        >Linux Foundation Collaborative Projects</a
      >
    </div>
  </div>
</div>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit-data/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/oom/'>oom</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a2ea503f3fcc5012d5c376a3665209c38748276b'/><select name='h' onchange='this.form.submit();'>
<option value='2.0.0-ONAP'>2.0.0-ONAP</option>
<option value='amsterdam'>amsterdam</option>
<option value='beijing'>beijing</option>
<option value='casablanca'>casablanca</option>
<option value='casdev'>casdev</option>
<option value='code-transfer'>code-transfer</option>
<option value='dublin'>dublin</option>
<option value='elalto'>elalto</option>
<option value='frankfurt'>frankfurt</option>
<option value='guilin'>guilin</option>
<option value='honolulu'>honolulu</option>
<option value='istanbul'>istanbul</option>
<option value='jakarta'>jakarta</option>
<option value='kohn'>kohn</option>
<option value='london'>london</option>
<option value='master'>master</option>
<option value='montreal'>montreal</option>
<option value='newdelhi'>newdelhi</option>
<option value='release-1.0.0'>release-1.0.0</option>
<option value='staging'>staging</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Introduces the ONAP Platform OOM (ONAP Operations Manager) to efficiently Deploy, Manage, Operate the ONAP platform and its components (e.g. MSO, DCAE, SDC, etc.) and infrastructure (VMs, Containers).</td><td class='sub right'>Grokmirror user</td></tr></table>
<table class='tabs'><tr><td>
<a href='/oom/about/?h=13.0.0-DOC'>about</a><a href='/oom/?h=13.0.0-DOC'>summary</a><a href='/oom/refs/?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>refs</a><a href='/oom/log/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC'>log</a><a class='active' href='/oom/tree/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>tree</a><a href='/oom/commit/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>commit</a><a href='/oom/diff/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>diff</a><a href='/oom/stats/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC'>stats</a></td><td class='form'><form class='right' method='get' action='/oom/log/kubernetes/portal/charts/portal-app/values.yaml'>
<input type='hidden' name='h' value='13.0.0-DOC'/><input type='hidden' name='id' value='a2ea503f3fcc5012d5c376a3665209c38748276b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/oom/tree/?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>root</a>/<a href='/oom/tree/kubernetes?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>kubernetes</a>/<a href='/oom/tree/kubernetes/portal?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>portal</a>/<a href='/oom/tree/kubernetes/portal/charts?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>charts</a>/<a href='/oom/tree/kubernetes/portal/charts/portal-app?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>portal-app</a>/<a href='/oom/tree/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>values.yaml</a></div><div class='content'>blob: 8d18fd0dbdab60c95d9096376a90425ae9d82043 (<a href='/oom/plain/kubernetes/portal/charts/portal-app/values.yaml?h=13.0.0-DOC&amp;id=a2ea503f3fcc5012d5c376a3665209c38748276b'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
</pre></td>
<td class='lines'><pre><code><style>
@media only all and (prefers-color-scheme: dark) {
.highlight .hll { background-color: #49483e }
.highlight .c { color: #75715e } /* Comment */
.highlight .err { color: #960050; background-color: #1e0010 } /* Error */
.highlight .k { color: #66d9ef } /* Keyword */
.highlight .l { color: #ae81ff } /* Literal */
.highlight .n { color: #f8f8f2 } /* Name */
.highlight .o { color: #f92672 } /* Operator */
.highlight .p { color: #f8f8f2 } /* Punctuation */
.highlight .ch { color: #75715e } /* Comment.Hashbang */
.highlight .cm { color: #75715e } /* Comment.Multiline */
.highlight .cp { color: #75715e } /* Comment.Preproc */
.highlight .cpf { color: #75715e } /* Comment.PreprocFile */
.highlight .c1 { color: #75715e } /* Comment.Single */
.highlight .cs { color: #75715e } /* Comment.Special */
.highlight .gd { color: #f92672 } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gi { color: #a6e22e } /* Generic.Inserted */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #75715e } /* Generic.Subheading */
.highlight .kc { color: #66d9ef } /* Keyword.Constant */
.highlight .kd { color: #66d9ef } /* Keyword.Declaration */
.highlight .kn { color: #f92672 } /* Keyword.Namespace */
.highlight .kp { color: #66d9ef } /* Keyword.Pseudo */
.highlight .kr { color: #66d9ef } /* Keyword.Reserved */
.highlight .kt { color: #66d9ef } /* Keyword.Type */
.highlight .ld { color: #e6db74 } /* Literal.Date */
.highlight .m { color: #ae81ff } /* Literal.Number */
.highlight .s { color: #e6db74 } /* Literal.String */
.highlight .na { color: #a6e22e } /* Name.Attribute */
.highlight .nb { color: #f8f8f2 } /* Name.Builtin */
.highlight .nc { color: #a6e22e } /* Name.Class */
.highlight .no { color: #66d9ef } /* Name.Constant */
.highlight .nd { color: #a6e22e } /* Name.Decorator */
.highlight .ni { color: #f8f8f2 } /* Name.Entity */
.highlight .ne { color: #a6e22e } /* Name.Exception */
.highlight .nf { color: #a6e22e } /* Name.Function */
.highlight .nl { color: #f8f8f2 } /* Name.Label */
.highlight .nn { color: #f8f8f2 } /* Name.Namespace */
.highlight .nx { color: #a6e22e } /* Name.Other */
.highlight .py { color: #f8f8f2 } /* Name.Property */
.highlight .nt { color: #f92672 } /* Name.Tag */
.highlight .nv { color: #f8f8f2 } /* Name.Variable */
.highlight .ow { color: #f92672 } /* Operator.Word */
.highlight .w { color: #f8f8f2 } /* Text.Whitespace */
.highlight .mb { color: #ae81ff } /* Literal.Number.Bin */
.highlight .mf { color: #ae81ff } /* Literal.Number.Float */
.highlight .mh { color: #ae81ff } /* Literal.Number.Hex */
.highlight .mi { color: #ae81ff } /* Literal.Number.Integer */
.highlight .mo { color: #ae81ff } /* Literal.Number.Oct */
.highlight .sa { color: #e6db74 } /* Literal.String.Affix */
.highlight .sb { color: #e6db74 } /* Literal.String.Backtick */
.highlight .sc { color: #e6db74 } /* Literal.String.Char */
.highlight .dl { color: #e6db74 } /* Literal.String.Delimiter */
.highlight .sd { color: #e6db74 } /* Literal.String.Doc */
.highlight .s2 { color: #e6db74 } /* Literal.String.Double */
.highlight .se { color: #ae81ff } /* Literal.String.Escape */
.highlight .sh { color: #e6db74 } /* Literal.String.Heredoc */
.highlight .si { color: #e6db74 } /* Literal.String.Interpol */
.highlight .sx { color: #e6db74 } /* Literal.String.Other */
.highlight .sr { color: #e6db74 } /* Literal.String.Regex */
.highlight .s1 { color: #e6db74 } /* Literal.String.Single */
.highlight .ss { color: #e6db74 } /* Literal.String.Symbol */
.highlight .bp { color: #f8f8f2 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #a6e22e } /* Name.Function.Magic */
.highlight .vc { color: #f8f8f2 } /* Name.Variable.Class */
.highlight .vg { color: #f8f8f2 } /* Name.Variable.Global */
.highlight .vi { color: #f8f8f2 } /* Name.Variable.Instance */
.highlight .vm { color: #f8f8f2 } /* Name.Variable.Magic */
.highlight .il { color: #ae81ff } /* Literal.Number.Integer.Long */
}
@media (prefers-color-scheme: light) {
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
}
</style><div class="highlight"><pre><span></span><span class="c1"># Copyright © 2017 Amdocs, Bell Canada</span>
<span class="c1"># Modifications Copyright © 2018,2020 AT&amp;T</span>
<span class="c1">#</span>
<span class="c1"># Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span>
<span class="c1"># you may not use this file except in compliance with the License.</span>
<span class="c1"># You may obtain a copy of the License at</span>
<span class="c1">#</span>
<span class="c1">#       http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c1">#</span>
<span class="c1"># Unless required by applicable law or agreed to in writing, software</span>
<span class="c1"># distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span>
<span class="c1"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="c1"># See the License for the specific language governing permissions and</span>
<span class="c1"># limitations under the License.</span>

<span class="c1">#################################################################</span>
<span class="c1"># Global configuration defaults.</span>
<span class="c1">#################################################################</span>
<span class="nt">global</span><span class="p">:</span>
  <span class="nt">nodePortPrefix</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">302</span>
  <span class="nt">readinessRepository</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">oomk8s</span>
  <span class="nt">readinessImage</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">readiness-check:2.0.0</span>
  <span class="nt">loggingRepository</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">docker.elastic.co</span>
  <span class="nt">loggingImage</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">beats/filebeat:5.5.0</span>
  <span class="c1">#AAF service</span>
  <span class="nt">aafEnabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>
  <span class="nt">aafAgentImage</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">onap/aaf/aaf_agent:2.1.20</span>

<span class="c1">#################################################################</span>
<span class="c1"># Application configuration defaults.</span>
<span class="c1">#################################################################</span>

<span class="c1"># application image</span>
<span class="nt">repository</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">nexus3.onap.org:10001</span>
<span class="nt">image</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">onap/portal-app:3.2.0</span>
<span class="nt">pullPolicy</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Always</span>

<span class="c1">#AAF local config</span>

<span class="nt">aafURL</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">https://aaf-service:8100/authz/</span>
<span class="nt">aafConfig</span><span class="p">:</span>
  <span class="nt">aafDeployFqi</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">deployer@people.osaaf.org</span>
  <span class="nt">aafDeployPass</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">demo123456!</span>
  <span class="nt">fqdn</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal</span>
  <span class="nt">fqi</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal@portal.onap.org</span>
  <span class="nt">publicFqdn</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal.onap.org</span>
  <span class="nt">cadi_latitude</span><span class="p">:</span> <span class="s">&quot;38.0&quot;</span>
  <span class="nt">cadi_longitude</span><span class="p">:</span> <span class="s">&quot;-72.0&quot;</span>
  <span class="nt">credsPath</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">/opt/app/osaaf/local</span>
  <span class="nt">app_ns</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">org.osaaf.aaf</span>
  <span class="nt">permission_user</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">1000</span>
  <span class="nt">permission_group</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">999</span>
  <span class="nt">addconfig</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>
  <span class="nt">secret_uid</span><span class="p">:</span> <span class="nl">&amp;aaf_secret_uid</span> <span class="l l-Scalar l-Scalar-Plain">portal-app-aaf-deploy-creds</span>
  <span class="nt">keystoreFile</span><span class="p">:</span> <span class="s">&quot;org.onap.portal.p12&quot;</span>
  <span class="nt">truststoreFile</span><span class="p">:</span> <span class="s">&quot;org.onap.portal.trust.jks&quot;</span>

<span class="nt">secrets</span><span class="p">:</span>
  <span class="p p-Indicator">-</span> <span class="nt">uid</span><span class="p">:</span> <span class="nv">*aaf_secret_uid</span>
    <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">basicAuth</span>
    <span class="nt">externalSecret</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">ternary</span><span class="nv"> </span><span class="s">(tpl</span><span class="nv"> </span><span class="s">(default</span><span class="nv"> </span><span class="s">&quot;&quot;</span><span class="nv"> </span><span class="s">.Values.aafConfig.aafDeployCredsExternalSecret)</span><span class="nv"> </span><span class="s">.)</span><span class="nv"> </span><span class="s">&quot;aafIsDiabled&quot;</span><span class="nv"> </span><span class="s">.Values.global.aafEnabled</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">login</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.aafConfig.aafDeployFqi</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">password</span><span class="p">:</span> <span class="s">&#39;{{</span><span class="nv"> </span><span class="s">.Values.aafConfig.aafDeployPass</span><span class="nv"> </span><span class="s">}}&#39;</span>
    <span class="nt">passwordPolicy</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">required</span>

<span class="c1"># default number of instances</span>
<span class="nt">replicaCount</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">1</span>

<span class="nt">nodeSelector</span><span class="p">:</span> <span class="p p-Indicator">{}</span>

<span class="nt">affinity</span><span class="p">:</span> <span class="p p-Indicator">{}</span>

<span class="c1"># probe configuration parameters</span>
<span class="nt">liveness</span><span class="p">:</span>
  <span class="nt">initialDelaySeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">10</span>
  <span class="nt">periodSeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">10</span>
  <span class="c1"># necessary to disable liveness probe when setting breakpoints</span>
  <span class="c1"># in debugger so K8s doesn&#39;t restart unresponsive container</span>
  <span class="nt">enabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">true</span>

<span class="nt">readiness</span><span class="p">:</span>
  <span class="nt">initialDelaySeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">10</span>
  <span class="nt">periodSeconds</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">10</span>

<span class="nt">service</span><span class="p">:</span>
  <span class="nt">type</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">LoadBalancer</span>
  <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal-app</span>
  <span class="nt">portName</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal-app</span>
  <span class="nt">externalPort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8989</span>
  <span class="nt">internalPort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8080</span>
  <span class="nt">nodePort</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">15</span>
  <span class="nt">externalPort2</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8006</span>
  <span class="nt">internalPort2</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8005</span>
  <span class="nt">nodePort2</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">13</span>
  <span class="nt">externalPort3</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8010</span>
  <span class="nt">internalPort3</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8009</span>
  <span class="nt">nodePort3</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">14</span>
  <span class="nt">externalPort4</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8443</span>
  <span class="nt">internalPort4</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8443</span>
  <span class="nt">nodePort4</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">25</span>

<span class="nt">mariadb</span><span class="p">:</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal-db</span>
<span class="nt">widget</span><span class="p">:</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal-widget</span>
<span class="nt">cassandra</span><span class="p">:</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal-cassandra</span>
  <span class="nt">config</span><span class="p">:</span>
    <span class="nt">cassandraUsername</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">root</span>
    <span class="nt">cassandraPassword</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">Aa123456</span>
<span class="nt">zookeeper</span><span class="p">:</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal-zookeeper</span>
<span class="nt">messageRouter</span><span class="p">:</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="nt">name</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">message-router</span>

<span class="nt">ingress</span><span class="p">:</span>
  <span class="nt">enabled</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">false</span>
  <span class="nt">service</span><span class="p">:</span>
    <span class="p p-Indicator">-</span> <span class="nt">baseaddr</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">portal.api</span>
      <span class="nt">name</span><span class="p">:</span> <span class="s">&quot;portal-app&quot;</span>
      <span class="nt">port</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8443</span>
  <span class="nt">config</span><span class="p">:</span>
    <span class="nt">ssl</span><span class="p">:</span> <span class="s">&quot;redirect&quot;</span>

<span class="c1"># Resource Limit flavor -By Default using small</span>
<span class="nt">flavor</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">small</span>
<span class="c1"># Segregation for Different environment (Small and Large)</span>
<span class="nt">resources</span><span class="p">:</span>
  <span class="nt">small</span><span class="p">:</span>
    <span class="nt">limits</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">2.2</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">800Mi</span>
    <span class="nt">requests</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">30m</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">460Mi</span>
  <span class="nt">large</span><span class="p">:</span>
    <span class="nt">limits</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">4</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">15Gi</span>
    <span class="nt">requests</span><span class="p">:</span>
      <span class="nt">cpu</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">2</span>
      <span class="nt">memory</span><span class="p">:</span> <span class="l l-Scalar l-Scalar-Plain">8Gi</span>
  <span class="nt">unlimited</span><span class="p">:</span> <span class="p p-Indicator">{}</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2017 <a href="https://www.onap.org/">ONAP</a> a Linux Foundation
        Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="http://www.linuxfoundation.org/privacy">privacy policy</a> and
        <a href="http://www.linuxfoundation.org/terms">terms of use</a>
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
